FAPI object deserialization module
Feature API » Internals of Feature API

## Functions

TSS2_RC | ifapi_json_FAPI_QUOTE_INFO_deserialize (json_object *jso, FAPI_QUOTE_INFO *out)
TSS2_RC | ifapi_json_IFAPI_DUPLICATE_deserialize (json_object *jso, IFAPI_DUPLICATE *out)
TSS2_RC | ifapi_json_IFAPI_EVENT_TYPE_deserialize (json_object *jso, IFAPI_EVENT_TYPE *out)
TSS2_RC | ifapi_json_IFAPI_EVENT_TYPE_deserialize_txt (json_object *jso, IFAPI_EVENT_TYPE *out)
TSS2_RC | ifapi_json_IFAPI_EXT_PUB_KEY_deserialize (json_object *jso, IFAPI_EXT_PUB_KEY *out)
TSS2_RC | ifapi_json_IFAPI_HIERARCHY_deserialize (json_object *jso, IFAPI_HIERARCHY *out)
TSS2_RC | ifapi_json_IFAPI_IMA_EVENT_deserialize (json_object *jso, IFAPI_IMA_EVENT *out)
TSS2_RC | ifapi_json_IFAPI_KEY_deserialize (json_object *jso, IFAPI_KEY *out)
TSS2_RC | ifapi_json_IFAPI_NV_deserialize (json_object *jso, IFAPI_NV *out)
TSS2_RC | ifapi_json_IFAPI_OBJECT_TYPE_CONSTANT_deserialize (json_object *jso, IFAPI_OBJECT_TYPE_CONSTANT *out)
TSS2_RC | ifapi_json_IFAPI_OBJECT_deserialize (json_object *jso, IFAPI_OBJECT *out)
TSS2_RC | ifapi_json_IFAPI_TSS_EVENT_deserialize (json_object *jso, IFAPI_TSS_EVENT *out)
TSS2_RC | ifapi_json_char_deserialize (json_object *jso, char **out)
bool | ifapi_get_sub_object (json_object *jso, char *name, json_object **sub_jso)
TSS2_RC | ifapi_hex_to_byte_ary (const char hex[], UINT32 vlen, BYTE val[])
TSS2_RC | ifapi_json_BYTE_array_deserialize (size_t max, json_object *jso, BYTE *out)
TSS2_RC | ifapi_json_BYTE_deserialize (json_object *jso, BYTE *out)
TSS2_RC | ifapi_json_TPM2B_CREATION_DATA_deserialize (json_object *jso, TPM2B_CREATION_DATA *out)
TSS2_RC | ifapi_json_TPM2B_DATA_deserialize (json_object *jso, TPM2B_DATA *out)
TSS2_RC | ifapi_json_TPM2B_DIGEST_deserialize (json_object *jso, TPM2B_DIGEST *out)
TSS2_RC | ifapi_json_TPM2B_ECC_PARAMETER_deserialize (json_object *jso, TPM2B_ECC_PARAMETER *out)
TSS2_RC | ifapi_json_TPM2B_ENCRYPTED_SECRET_deserialize (json_object *jso, TPM2B_ENCRYPTED_SECRET *out)
TSS2_RC | ifapi_json_TPM2B_EVENT_deserialize (json_object *jso, TPM2B_EVENT *out)
TSS2_RC | ifapi_json_TPM2B_MAX_NV_BUFFER_deserialize (json_object *jso, TPM2B_MAX_NV_BUFFER *out)
TSS2_RC | ifapi_json_TPM2B_NAME_deserialize (json_object *jso, TPM2B_NAME *out)
TSS2_RC | ifapi_json_TPM2B_NONCE_deserialize (json_object *jso, TPM2B_NONCE *out)
TSS2_RC | ifapi_json_TPM2B_NV_PUBLIC_deserialize (json_object *jso, TPM2B_NV_PUBLIC *out)
TSS2_RC | ifapi_json_TPM2B_OPERAND_deserialize (json_object *jso, TPM2B_OPERAND *out)
TSS2_RC | ifapi_json_TPM2B_PRIVATE_deserialize (json_object *jso, TPM2B_PRIVATE *out)
TSS2_RC | ifapi_json_TPM2B_PUBLIC_KEY_RSA_deserialize (json_object *jso, TPM2B_PUBLIC_KEY_RSA *out)
TSS2_RC | ifapi_json_TPM2B_PUBLIC_deserialize (json_object *jso, TPM2B_PUBLIC *out)
TSS2_RC | ifapi_json_TPM2_ALG_ID_deserialize (json_object *jso, TPM2_ALG_ID *out)
TSS2_RC | ifapi_json_TPM2_CC_deserialize (json_object *jso, TPM2_CC *out)
TSS2_RC | ifapi_json_TPM2_ECC_CURVE_deserialize (json_object *jso, TPM2_ECC_CURVE *out)
TSS2_RC | ifapi_json_TPM2_EO_deserialize (json_object *jso, TPM2_EO *out)
TSS2_RC | ifapi_json_TPM2_GENERATED_deserialize (json_object *jso, TPM2_GENERATED *out)
TSS2_RC | ifapi_json_TPM2_HANDLE_deserialize (json_object *jso, TPM2_HANDLE *out)
TSS2_RC | ifapi_json_TPM2_NT_deserialize (json_object *jso, TPM2_NT *out)
TSS2_RC | ifapi_json_TPM2_PT_PCR_deserialize (json_object *jso, TPM2_PT_PCR *out)
TSS2_RC | ifapi_json_TPM2_ST_deserialize (json_object *jso, TPM2_ST *out)
TSS2_RC | ifapi_json_TPMA_LOCALITY_deserialize (json_object *jso, TPMA_LOCALITY *out)
TSS2_RC | ifapi_json_TPMA_NV_deserialize (json_object *jso, TPMA_NV *out)
TSS2_RC | ifapi_json_TPMA_OBJECT_deserialize (json_object *jso, TPMA_OBJECT *out)
TSS2_RC | ifapi_json_TPMI_AES_KEY_BITS_deserialize (json_object *jso, TPMI_AES_KEY_BITS *out)
TSS2_RC | ifapi_json_TPMI_ALG_ECC_SCHEME_deserialize (json_object *jso, TPMI_ALG_ECC_SCHEME *out)
TSS2_RC | ifapi_json_TPMI_ALG_HASH_deserialize (json_object *jso, TPMI_ALG_HASH *out)
TSS2_RC | ifapi_json_TPMI_ALG_KDF_deserialize (json_object *jso, TPMI_ALG_KDF *out)
TSS2_RC | ifapi_json_TPMI_ALG_KEYEDHASH_SCHEME_deserialize (json_object *jso, TPMI_ALG_KEYEDHASH_SCHEME *out)
TSS2_RC | ifapi_json_TPMI_ALG_PUBLIC_deserialize (json_object *jso, TPMI_ALG_PUBLIC *out)
TSS2_RC | ifapi_json_TPMI_ALG_RSA_DECRYPT_deserialize (json_object *jso, TPMI_ALG_RSA_DECRYPT *out)
TSS2_RC | ifapi_json_TPMI_ALG_RSA_SCHEME_deserialize (json_object *jso, TPMI_ALG_RSA_SCHEME *out)
TSS2_RC | ifapi_json_TPMI_ALG_SIG_SCHEME_deserialize (json_object *jso, TPMI_ALG_SIG_SCHEME *out)
TSS2_RC | ifapi_json_TPMI_ALG_SYM_MODE_deserialize (json_object *jso, TPMI_ALG_SYM_MODE *out)
TSS2_RC | ifapi_json_TPMI_ALG_CIPHER_MODE_deserialize (json_object *jso, TPMI_ALG_CIPHER_MODE *out)
TSS2_RC | ifapi_json_TPMI_ALG_SYM_OBJECT_deserialize (json_object *jso, TPMI_ALG_SYM_OBJECT *out)
TSS2_RC | ifapi_json_TPMI_ALG_SYM_deserialize (json_object *jso, TPMI_ALG_SYM *out)
TSS2_RC | ifapi_json_TPMI_ECC_CURVE_deserialize (json_object *jso, TPMI_ECC_CURVE *out)
TSS2_RC | ifapi_json_TPMI_RH_HIERARCHY_deserialize (json_object *jso, TPMI_RH_HIERARCHY *out)
TSS2_RC | ifapi_json_TPMI_RH_NV_INDEX_deserialize (json_object *jso, TPMI_RH_NV_INDEX *out)
TSS2_RC | ifapi_json_TPMI_RSA_KEY_BITS_deserialize (json_object *jso, TPMI_RSA_KEY_BITS *out)
TSS2_RC | ifapi_json_TPMI_ST_ATTEST_deserialize (json_object *jso, TPMI_ST_ATTEST *out)
TSS2_RC | ifapi_json_TPMI_YES_NO_deserialize (json_object *jso, TPMI_YES_NO *out)
TSS2_RC | ifapi_json_TPML_DIGEST_VALUES_deserialize (json_object *jso, TPML_DIGEST_VALUES *out)
TSS2_RC | ifapi_json_TPML_PCR_SELECTION_deserialize (json_object *jso, TPML_PCR_SELECTION *out)
TSS2_RC | ifapi_json_TPMS_ATTEST_deserialize (json_object *jso, TPMS_ATTEST *out)
TSS2_RC | ifapi_json_TPMS_CERTIFY_INFO_deserialize (json_object *jso, TPMS_CERTIFY_INFO *out)
TSS2_RC | ifapi_json_TPMS_CLOCK_INFO_deserialize (json_object *jso, TPMS_CLOCK_INFO *out)
TSS2_RC | ifapi_json_TPMS_COMMAND_AUDIT_INFO_deserialize (json_object *jso, TPMS_COMMAND_AUDIT_INFO *out)
TSS2_RC | ifapi_json_TPMS_CREATION_DATA_deserialize (json_object *jso, TPMS_CREATION_DATA *out)
TSS2_RC | ifapi_json_TPMS_CREATION_INFO_deserialize (json_object *jso, TPMS_CREATION_INFO *out)
TSS2_RC | ifapi_json_TPMS_ECC_PARMS_deserialize (json_object *jso, TPMS_ECC_PARMS *out)
TSS2_RC | ifapi_json_TPMS_ECC_POINT_deserialize (json_object *jso, TPMS_ECC_POINT *out)
TSS2_RC | ifapi_json_TPMS_EMPTY_deserialize (json_object *jso, TPMS_EMPTY *out)
TSS2_RC | ifapi_json_TPMS_ENC_SCHEME_OAEP_deserialize (json_object *jso, TPMS_ENC_SCHEME_OAEP *out)
TSS2_RC | ifapi_json_TPMS_ENC_SCHEME_RSAES_deserialize (json_object *jso, TPMS_ENC_SCHEME_RSAES *out)
TSS2_RC | ifapi_json_TPMS_KEYEDHASH_PARMS_deserialize (json_object *jso, TPMS_KEYEDHASH_PARMS *out)
TSS2_RC | ifapi_json_TPMS_KEY_SCHEME_ECDH_deserialize (json_object *jso, TPMS_KEY_SCHEME_ECDH *out)
TSS2_RC | ifapi_json_TPMS_NV_CERTIFY_INFO_deserialize (json_object *jso, TPMS_NV_CERTIFY_INFO *out)
TSS2_RC | ifapi_json_TPMS_NV_PUBLIC_deserialize (json_object *jso, TPMS_NV_PUBLIC *out)
TSS2_RC | ifapi_json_TPMS_PCR_SELECTION_deserialize (json_object *jso, TPMS_PCR_SELECTION *out)
TSS2_RC | ifapi_json_TPMS_PCR_SELECT_deserialize (json_object *jso, TPMS_PCR_SELECT *out)
TSS2_RC | ifapi_json_TPMS_QUOTE_INFO_deserialize (json_object *jso, TPMS_QUOTE_INFO *out)
TSS2_RC | ifapi_json_TPMS_RSA_PARMS_deserialize (json_object *jso, TPMS_RSA_PARMS *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_ECDAA_deserialize (json_object *jso, TPMS_SCHEME_ECDAA *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_HASH_deserialize (json_object *jso, TPMS_SCHEME_HASH *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_HMAC_deserialize (json_object *jso, TPMS_SCHEME_HMAC *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_KDF1_SP800_108_deserialize (json_object *jso, TPMS_SCHEME_KDF1_SP800_108 *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_KDF1_SP800_56A_deserialize (json_object *jso, TPMS_SCHEME_KDF1_SP800_56A *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_MGF1_deserialize (json_object *jso, TPMS_SCHEME_MGF1 *out)
TSS2_RC | ifapi_json_TPMS_SCHEME_XOR_deserialize (json_object *jso, TPMS_SCHEME_XOR *out)
TSS2_RC | ifapi_json_TPMS_SESSION_AUDIT_INFO_deserialize (json_object *jso, TPMS_SESSION_AUDIT_INFO *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECC_deserialize (json_object *jso, TPMS_SIGNATURE_ECC *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECDAA_deserialize (json_object *jso, TPMS_SIGNATURE_ECDAA *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECDSA_deserialize (json_object *jso, TPMS_SIGNATURE_ECDSA *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECSCHNORR_deserialize (json_object *jso, TPMS_SIGNATURE_ECSCHNORR *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_RSAPSS_deserialize (json_object *jso, TPMS_SIGNATURE_RSAPSS *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_RSASSA_deserialize (json_object *jso, TPMS_SIGNATURE_RSASSA *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_RSA_deserialize (json_object *jso, TPMS_SIGNATURE_RSA *out)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_SM2_deserialize (json_object *jso, TPMS_SIGNATURE_SM2 *out)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_ECDAA_deserialize (json_object *jso, TPMS_SIG_SCHEME_ECDAA *out)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_ECDSA_deserialize (json_object *jso, TPMS_SIG_SCHEME_ECDSA *out)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_ECSCHNORR_deserialize (json_object *jso, TPMS_SIG_SCHEME_ECSCHNORR *out)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_RSAPSS_deserialize (json_object *jso, TPMS_SIG_SCHEME_RSAPSS *out)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_RSASSA_deserialize (json_object *jso, TPMS_SIG_SCHEME_RSASSA *out)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_SM2_deserialize (json_object *jso, TPMS_SIG_SCHEME_SM2 *out)
TSS2_RC | ifapi_json_TPMS_SYMCIPHER_PARMS_deserialize (json_object *jso, TPMS_SYMCIPHER_PARMS *out)
TSS2_RC | ifapi_json_TPMS_TIME_ATTEST_INFO_deserialize (json_object *jso, TPMS_TIME_ATTEST_INFO *out)
TSS2_RC | ifapi_json_TPMS_TIME_INFO_deserialize (json_object *jso, TPMS_TIME_INFO *out)
TSS2_RC | ifapi_json_TPMT_ECC_SCHEME_deserialize (json_object *jso, TPMT_ECC_SCHEME *out)
TSS2_RC | ifapi_json_TPMT_HA_deserialize (json_object *jso, TPMT_HA *out)
TSS2_RC | ifapi_json_TPMT_KDF_SCHEME_deserialize (json_object *jso, TPMT_KDF_SCHEME *out)
TSS2_RC | ifapi_json_TPMT_KEYEDHASH_SCHEME_deserialize (json_object *jso, TPMT_KEYEDHASH_SCHEME *out)
TSS2_RC | ifapi_json_TPMT_PUBLIC_deserialize (json_object *jso, TPMT_PUBLIC *out)
TSS2_RC | ifapi_json_TPMT_RSA_DECRYPT_deserialize (json_object *jso, TPMT_RSA_DECRYPT *out)
TSS2_RC | ifapi_json_TPMT_RSA_SCHEME_deserialize (json_object *jso, TPMT_RSA_SCHEME *out)
TSS2_RC | ifapi_json_TPMT_SIGNATURE_deserialize (json_object *jso, TPMT_SIGNATURE *out)
TSS2_RC | ifapi_json_TPMT_SIG_SCHEME_deserialize (json_object *jso, TPMT_SIG_SCHEME *out)
TSS2_RC | ifapi_json_TPMT_SYM_DEF_OBJECT_deserialize (json_object *jso, TPMT_SYM_DEF_OBJECT *out)
TSS2_RC | ifapi_json_TPMT_SYM_DEF_deserialize (json_object *jso, TPMT_SYM_DEF *out)
TSS2_RC | ifapi_json_TPMT_TK_CREATION_deserialize (json_object *jso, TPMT_TK_CREATION *out)
TSS2_RC | ifapi_json_TPMU_ASYM_SCHEME_deserialize (UINT32 selector, json_object *jso, TPMU_ASYM_SCHEME *out)
TSS2_RC | ifapi_json_TPMU_ATTEST_deserialize (UINT32 selector, json_object *jso, TPMU_ATTEST *out)
TSS2_RC | ifapi_json_TPMU_HA_deserialize (UINT32 selector, json_object *jso, TPMU_HA *out)
TSS2_RC | ifapi_json_TPMU_KDF_SCHEME_deserialize (UINT32 selector, json_object *jso, TPMU_KDF_SCHEME *out)
TSS2_RC | ifapi_json_TPMU_PUBLIC_ID_deserialize (UINT32 selector, json_object *jso, TPMU_PUBLIC_ID *out)
TSS2_RC | ifapi_json_TPMU_PUBLIC_PARMS_deserialize (UINT32 selector, json_object *jso, TPMU_PUBLIC_PARMS *out)
TSS2_RC | ifapi_json_TPMU_SCHEME_KEYEDHASH_deserialize (UINT32 selector, json_object *jso, TPMU_SCHEME_KEYEDHASH *out)
TSS2_RC | ifapi_json_TPMU_SIGNATURE_deserialize (UINT32 selector, json_object *jso, TPMU_SIGNATURE *out)
TSS2_RC | ifapi_json_TPMU_SIG_SCHEME_deserialize (UINT32 selector, json_object *jso, TPMU_SIG_SCHEME *out)
TSS2_RC | ifapi_json_TPMU_SYM_KEY_BITS_deserialize (UINT32 selector, json_object *jso, TPMU_SYM_KEY_BITS *out)
TSS2_RC | ifapi_json_TPMU_SYM_MODE_deserialize (UINT32 selector, json_object *jso, TPMU_SYM_MODE *out)
TSS2_RC | ifapi_json_UINT16_deserialize (json_object *jso, UINT16 *out)
TSS2_RC | ifapi_json_UINT32_deserialize (json_object *jso, UINT32 *out)
TSS2_RC | ifapi_json_UINT64_deserialize (json_object *jso, UINT64 *out)
TSS2_RC | ifapi_json_UINT8_ARY_deserialize (json_object *jso, UINT8_ARY *out)
TSS2_RC | ifapi_json_UINT8_deserialize (json_object *jso, UINT8 *out)
TSS2_RC | ifapi_json_byte_deserialize (json_object *jso, UINT32 max, BYTE *out, UINT16 *out_size)
TSS2_RC | ifapi_json_pcr_selection_deserialize (json_object *jso, UINT8 *sizeofSelect, BYTE pcrSelect[])
TSS2_RC | ifapi_json_TPMI_POLICYTYPE_deserialize (json_object *jso, TPMI_POLICYTYPE *out)
TSS2_RC | ifapi_json_TPMI_POLICYTYPE_deserialize_txt (json_object *jso, TPMI_POLICYTYPE *out)
TSS2_RC | ifapi_json_TPML_PCRVALUES_deserialize (json_object *jso, TPML_PCRVALUES **out)
TSS2_RC | ifapi_json_TPML_POLICYAUTHORIZATIONS_deserialize (json_object *jso, TPML_POLICYAUTHORIZATIONS **out)
TSS2_RC | ifapi_json_TPML_POLICYBRANCHES_deserialize (json_object *jso, TPML_POLICYBRANCHES **out)
TSS2_RC | ifapi_json_TPML_POLICYELEMENTS_deserialize (json_object *jso, TPML_POLICYELEMENTS **out)
TSS2_RC | ifapi_json_TPMS_PCRVALUE_deserialize (json_object *jso, TPMS_PCRVALUE *out)
TSS2_RC | ifapi_json_TPMS_POLICYACTION_deserialize (json_object *jso, TPMS_POLICYACTION *out)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHORIZATION_deserialize (json_object *jso, TPMS_POLICYAUTHORIZATION *out)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHORIZENV_deserialize (json_object *jso, TPMS_POLICYAUTHORIZENV *out)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHORIZE_deserialize (json_object *jso, TPMS_POLICYAUTHORIZE *out)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHVALUE_deserialize (json_object *jso, TPMS_POLICYAUTHVALUE *out)
TSS2_RC | ifapi_json_TPMS_POLICYBRANCH_deserialize (json_object *jso, TPMS_POLICYBRANCH *out)
TSS2_RC | ifapi_json_TPMS_POLICYCOMMANDCODE_deserialize (json_object *jso, TPMS_POLICYCOMMANDCODE *out)
TSS2_RC | ifapi_json_TPMS_POLICYCOUNTERTIMER_deserialize (json_object *jso, TPMS_POLICYCOUNTERTIMER *out)
TSS2_RC | ifapi_json_TPMS_POLICYCPHASH_deserialize (json_object *jso, TPMS_POLICYCPHASH *out)
TSS2_RC | ifapi_json_TPMS_POLICYDUPLICATIONSELECT_deserialize (json_object *jso, TPMS_POLICYDUPLICATIONSELECT *out)
TSS2_RC | ifapi_json_TPMS_POLICYLOCALITY_deserialize (json_object *jso, TPMS_POLICYLOCALITY *out)
TSS2_RC | ifapi_json_TPMS_POLICYNAMEHASH_deserialize (json_object *jso, TPMS_POLICYNAMEHASH *out)
TSS2_RC | ifapi_json_TPMS_POLICYNVWRITTEN_deserialize (json_object *jso, TPMS_POLICYNVWRITTEN *out)
TSS2_RC | ifapi_json_TPMS_POLICYNV_deserialize (json_object *jso, TPMS_POLICYNV *out)
TSS2_RC | ifapi_json_TPMS_POLICYOR_deserialize (json_object *jso, TPMS_POLICYOR *out)
TSS2_RC | ifapi_json_TPMS_POLICYPASSWORD_deserialize (json_object *jso, TPMS_POLICYPASSWORD *out)
TSS2_RC | ifapi_json_TPMS_POLICYPCR_deserialize (json_object *jso, TPMS_POLICYPCR *out)
TSS2_RC | ifapi_json_TPMS_POLICYPHYSICALPRESENCE_deserialize (json_object *jso, TPMS_POLICYPHYSICALPRESENCE *out)
TSS2_RC | ifapi_json_TPMS_POLICYSECRET_deserialize (json_object *jso, TPMS_POLICYSECRET *out)
TSS2_RC | ifapi_json_TPMS_POLICYSIGNED_deserialize (json_object *jso, TPMS_POLICYSIGNED *out)
TSS2_RC | ifapi_json_TPMS_POLICYTEMPLATE_deserialize (json_object *jso, TPMS_POLICYTEMPLATE *out)
TSS2_RC | ifapi_json_TPMS_POLICY_deserialize (json_object *jso, TPMS_POLICY *out)
TSS2_RC | ifapi_json_TPMT_POLICYELEMENT_deserialize (json_object *jso, TPMT_POLICYELEMENT *out)
TSS2_RC | ifapi_json_TPMU_POLICYELEMENT_deserialize (UINT32 selector, json_object *jso, TPMU_POLICYELEMENT *out)
TSS2_RC | ifapi_json_import_IFAPI_KEY_deserialize (json_object *jso, IFAPI_KEY *out)

## Detailed Description

Provides functions for the deserialization from JSON to FAPI objects.

## Function Documentation

## ifapi_get_sub_object()

bool ifapi_get_sub_object | ( | json_object * | jso,
|  | char * | name,
|  | json_object ** | sub_jso )

Get sub object from a json object.

A sub object with a certain name stored in the passed object is returned. If the sub object is not found e second trial with the lower case version of the name will be performed.

param[in] jso the object with the sub object. param[in] name the name of the stored sub object. param[out] sub_jso the pointer to the sub object.

Return values

  true | if object was found.
  false | if the object was not found.

## ifapi_hex_to_byte_ary()

TSS2_RC ifapi_hex_to_byte_ary | ( | const char | hex[],
|  | UINT32 | vlen,
|  | BYTE | val[] )

Convert a byte array in character representation to binary.

Parameters

  [in] | hex | the character representation of the byte array
  [in] | vlen | the maximal length of the binary byte array.
  [out] | val | the byte array.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the character representation is too long.

## ifapi_json_BYTE_array_deserialize()

TSS2_RC ifapi_json_BYTE_array_deserialize | ( | size_t | max,
|  | json_object * | jso,
|  | BYTE * | out )

Deserialize an array of BYTE structures.

Parameters

  [in] | max | the maximal number of bytess to be deserialized.
  [in] | jso | the JSON object with the byte array.
  [in] | out | the byte array for deserialization.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_BYTE_deserialize()

TSS2_RC ifapi_json_BYTE_deserialize | ( | json_object * | jso,
|  | BYTE * | out )

Deserialize a BYTE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_byte_deserialize()

TSS2_RC ifapi_json_byte_deserialize | ( | json_object * | jso,
|  | UINT32 | max,
|  | BYTE * | out,
|  | UINT16 * | out_size )

Deserialize a json array of bytes.

Parameters

  [in] | jso | the parent object of the json byte array.
  [in] | max | maximal size of the deserialized object.
  [out] | out* | Pointer to the deserialized byte array.
  [out] | out_size | the length of the deserialized byte array.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_char_deserialize()

TSS2_RC ifapi_json_char_deserialize | ( | json_object * | jso,
|  | char ** | out )

Deserialize a character string.

Parameters

  [in] | jso | json string object.
  [out] | out | the pointer to the created string.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_FAPI_QUOTE_INFO_deserialize()

TSS2_RC ifapi_json_FAPI_QUOTE_INFO_deserialize | ( | json_object * | jso,
|  | FAPI_QUOTE_INFO * | out )

Deserialize a FAPI_QUOTE_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_DUPLICATE_deserialize()

TSS2_RC ifapi_json_IFAPI_DUPLICATE_deserialize | ( | json_object * | jso,
|  | IFAPI_DUPLICATE * | out )

Deserialize a IFAPI_DUPLICATE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_EVENT_TYPE_deserialize()

TSS2_RC ifapi_json_IFAPI_EVENT_TYPE_deserialize | ( | json_object * | jso,
|  | IFAPI_EVENT_TYPE * | out )

Deserialize a IFAPI_EVENT_TYPE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_IFAPI_EVENT_TYPE_deserialize_txt()

TSS2_RC ifapi_json_IFAPI_EVENT_TYPE_deserialize_txt | ( | json_object * | jso,
|  | IFAPI_EVENT_TYPE * | out )

Deserialize a json object of type IFAPI_EVENT_TYPE.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_IFAPI_EXT_PUB_KEY_deserialize()

TSS2_RC ifapi_json_IFAPI_EXT_PUB_KEY_deserialize | ( | json_object * | jso,
|  | IFAPI_EXT_PUB_KEY * | out )

Deserialize a IFAPI_EXT_PUB_KEY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_HIERARCHY_deserialize()

TSS2_RC ifapi_json_IFAPI_HIERARCHY_deserialize | ( | json_object * | jso,
|  | IFAPI_HIERARCHY * | out )

Deserialize a IFAPI_NV json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_IMA_EVENT_deserialize()

TSS2_RC ifapi_json_IFAPI_IMA_EVENT_deserialize | ( | json_object * | jso,
|  | IFAPI_IMA_EVENT * | out )

Deserialize a IFAPI_IMA_EVENT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_KEY_deserialize()

TSS2_RC ifapi_json_IFAPI_KEY_deserialize | ( | json_object * | jso,
|  | IFAPI_KEY * | out )

Deserialize a IFAPI_KEY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_NV_deserialize()

TSS2_RC ifapi_json_IFAPI_NV_deserialize | ( | json_object * | jso,
|  | IFAPI_NV * | out )

Deserialize a IFAPI_NV json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_OBJECT_deserialize()

TSS2_RC ifapi_json_IFAPI_OBJECT_deserialize | ( | json_object * | jso,
|  | IFAPI_OBJECT * | out )

Deserialize a IFAPI_OBJECT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_GENERAL_FAILURE | if an internal error occurred.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_IFAPI_OBJECT_TYPE_CONSTANT_deserialize()

TSS2_RC ifapi_json_IFAPI_OBJECT_TYPE_CONSTANT_deserialize | ( | json_object * | jso,
|  | IFAPI_OBJECT_TYPE_CONSTANT * | out )

Deserialize a IFAPI_OBJECT_TYPE_CONSTANT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_IFAPI_TSS_EVENT_deserialize()

TSS2_RC ifapi_json_IFAPI_TSS_EVENT_deserialize | ( | json_object * | jso,
|  | IFAPI_TSS_EVENT * | out )

Deserialize a IFAPI_TSS_EVENT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_import_IFAPI_KEY_deserialize()

TSS2_RC ifapi_json_import_IFAPI_KEY_deserialize | ( | json_object * | jso,
|  | IFAPI_KEY * | out )

Deserialize a import data to create a IFAPI_KEY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_pcr_selection_deserialize()

TSS2_RC ifapi_json_pcr_selection_deserialize | ( | json_object * | jso,
|  | UINT8 * | sizeofSelect,
|  | BYTE | pcrSelect[] )

Deserialize json object which represents a pcr selection.

Parameters

  [in] | jso | json array of pcr registers.
  [out] | sizeofSelect | size of bit mask for used pcr registers.
  [out] | pcrSelect | byte array with bit mask.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPM2_ALG_ID_deserialize()

TSS2_RC ifapi_json_TPM2_ALG_ID_deserialize | ( | json_object * | jso,
|  | TPM2_ALG_ID * | out )

Deserialize a TPM2_ALG_ID json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_CC_deserialize()

TSS2_RC ifapi_json_TPM2_CC_deserialize | ( | json_object * | jso,
|  | TPM2_CC * | out )

Deserialize a TPM2_CC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_ECC_CURVE_deserialize()

TSS2_RC ifapi_json_TPM2_ECC_CURVE_deserialize | ( | json_object * | jso,
|  | TPM2_ECC_CURVE * | out )

Deserialize a TPM2_ECC_CURVE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_EO_deserialize()

TSS2_RC ifapi_json_TPM2_EO_deserialize | ( | json_object * | jso,
|  | TPM2_EO * | out )

Deserialize a TPM2_EO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_GENERATED_deserialize()

TSS2_RC ifapi_json_TPM2_GENERATED_deserialize | ( | json_object * | jso,
|  | TPM2_GENERATED * | out )

Deserialize a TPM2_GENERATED json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_HANDLE_deserialize()

TSS2_RC ifapi_json_TPM2_HANDLE_deserialize | ( | json_object * | jso,
|  | TPM2_HANDLE * | out )

Deserialize a TPM2_HANDLE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_NT_deserialize()

TSS2_RC ifapi_json_TPM2_NT_deserialize | ( | json_object * | jso,
|  | TPM2_NT * | out )

Deserialize a TPM2_NT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2_PT_PCR_deserialize()

TSS2_RC ifapi_json_TPM2_PT_PCR_deserialize | ( | json_object * | jso,
|  | TPM2_PT_PCR * | out )

Deserialize a TPM2_PT_PCR json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2_ST_deserialize()

TSS2_RC ifapi_json_TPM2_ST_deserialize | ( | json_object * | jso,
|  | TPM2_ST * | out )

Deserialize a TPM2_ST json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPM2B_CREATION_DATA_deserialize()

TSS2_RC ifapi_json_TPM2B_CREATION_DATA_deserialize | ( | json_object * | jso,
|  | TPM2B_CREATION_DATA * | out )

Deserialize a TPM2B_CREATION_DATA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_DATA_deserialize()

TSS2_RC ifapi_json_TPM2B_DATA_deserialize | ( | json_object * | jso,
|  | TPM2B_DATA * | out )

Deserialize a TPM2B_DATA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_DIGEST_deserialize()

TSS2_RC ifapi_json_TPM2B_DIGEST_deserialize | ( | json_object * | jso,
|  | TPM2B_DIGEST * | out )

Deserialize a TPM2B_DIGEST json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_ECC_PARAMETER_deserialize()

TSS2_RC ifapi_json_TPM2B_ECC_PARAMETER_deserialize | ( | json_object * | jso,
|  | TPM2B_ECC_PARAMETER * | out )

Deserialize a TPM2B_ECC_PARAMETER json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_ENCRYPTED_SECRET_deserialize()

TSS2_RC ifapi_json_TPM2B_ENCRYPTED_SECRET_deserialize | ( | json_object * | jso,
|  | TPM2B_ENCRYPTED_SECRET * | out )

Deserialize a TPM2B_ENCRYPTED_SECRET json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_EVENT_deserialize()

TSS2_RC ifapi_json_TPM2B_EVENT_deserialize | ( | json_object * | jso,
|  | TPM2B_EVENT * | out )

Deserialize a TPM2B_EVENT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_MAX_NV_BUFFER_deserialize()

TSS2_RC ifapi_json_TPM2B_MAX_NV_BUFFER_deserialize | ( | json_object * | jso,
|  | TPM2B_MAX_NV_BUFFER * | out )

Deserialize a TPM2B_MAX_NV_BUFFER json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_NAME_deserialize()

TSS2_RC ifapi_json_TPM2B_NAME_deserialize | ( | json_object * | jso,
|  | TPM2B_NAME * | out )

Deserialize a TPM2B_NAME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_NONCE_deserialize()

TSS2_RC ifapi_json_TPM2B_NONCE_deserialize | ( | json_object * | jso,
|  | TPM2B_NONCE * | out )

Deserialize a TPM2B_NONCE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_NV_PUBLIC_deserialize()

TSS2_RC ifapi_json_TPM2B_NV_PUBLIC_deserialize | ( | json_object * | jso,
|  | TPM2B_NV_PUBLIC * | out )

Deserialize a TPM2B_NV_PUBLIC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_OPERAND_deserialize()

TSS2_RC ifapi_json_TPM2B_OPERAND_deserialize | ( | json_object * | jso,
|  | TPM2B_OPERAND * | out )

Deserialize a TPM2B_OPERAND json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_PRIVATE_deserialize()

TSS2_RC ifapi_json_TPM2B_PRIVATE_deserialize | ( | json_object * | jso,
|  | TPM2B_PRIVATE * | out )

Deserialize a TPM2B_PRIVATE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_PUBLIC_deserialize()

TSS2_RC ifapi_json_TPM2B_PUBLIC_deserialize | ( | json_object * | jso,
|  | TPM2B_PUBLIC * | out )

Deserialize a TPM2B_PUBLIC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_PUBLIC_KEY_RSA_deserialize()

TSS2_RC ifapi_json_TPM2B_PUBLIC_KEY_RSA_deserialize | ( | json_object * | jso,
|  | TPM2B_PUBLIC_KEY_RSA * | out )

Deserialize a TPM2B_PUBLIC_KEY_RSA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMA_LOCALITY_deserialize()

TSS2_RC ifapi_json_TPMA_LOCALITY_deserialize | ( | json_object * | jso,
|  | TPMA_LOCALITY * | out )

Deserialize a TPMA_LOCALITY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMA_NV_deserialize()

TSS2_RC ifapi_json_TPMA_NV_deserialize | ( | json_object * | jso,
|  | TPMA_NV * | out )

Deserialize a TPMA_NV json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMA_OBJECT_deserialize()

TSS2_RC ifapi_json_TPMA_OBJECT_deserialize | ( | json_object * | jso,
|  | TPMA_OBJECT * | out )

Deserialize a TPMA_OBJECT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_AES_KEY_BITS_deserialize()

TSS2_RC ifapi_json_TPMI_AES_KEY_BITS_deserialize | ( | json_object * | jso,
|  | TPMI_AES_KEY_BITS * | out )

Deserialize a TPMI_AES_KEY_BITS json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPMI_ALG_CIPHER_MODE_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_CIPHER_MODE_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_CIPHER_MODE * | out )

Deserialize a TPMI_ALG_CIPHER_MODE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_ECC_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_ECC_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_ECC_SCHEME * | out )

Deserialize a TPMI_ALG_ECC_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_HASH_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_HASH_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_HASH * | out )

Deserialize a TPMI_ALG_HASH json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_KDF_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_KDF_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_KDF * | out )

Deserialize a TPMI_ALG_KDF json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_KEYEDHASH_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_KEYEDHASH_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_KEYEDHASH_SCHEME * | out )

Deserialize a TPMI_ALG_KEYEDHASH_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_PUBLIC_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_PUBLIC_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_PUBLIC * | out )

Deserialize a TPMI_ALG_PUBLIC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_RSA_DECRYPT_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_RSA_DECRYPT_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_RSA_DECRYPT * | out )

Deserialize a TPMI_ALG_RSA_DECRYPT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_RSA_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_RSA_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_RSA_SCHEME * | out )

Deserialize a TPMI_ALG_RSA_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_SIG_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_SIG_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_SIG_SCHEME * | out )

Deserialize a TPMI_ALG_SIG_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_SYM_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_SYM_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_SYM * | out )

Deserialize a TPMI_ALG_SYM json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_SYM_MODE_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_SYM_MODE_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_SYM_MODE * | out )

Deserialize a TPMI_ALG_SYM_MODE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ALG_SYM_OBJECT_deserialize()

TSS2_RC ifapi_json_TPMI_ALG_SYM_OBJECT_deserialize | ( | json_object * | jso,
|  | TPMI_ALG_SYM_OBJECT * | out )

Deserialize a TPMI_ALG_SYM_OBJECT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_ECC_CURVE_deserialize()

TSS2_RC ifapi_json_TPMI_ECC_CURVE_deserialize | ( | json_object * | jso,
|  | TPMI_ECC_CURVE * | out )

Deserialize a TPMI_ECC_CURVE json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPMI_POLICYTYPE_deserialize()

TSS2_RC ifapi_json_TPMI_POLICYTYPE_deserialize | ( | json_object * | jso,
|  | TPMI_POLICYTYPE * | out )

Deserialize a TPMI_POLICYTYPE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_POLICYTYPE_deserialize_txt()

TSS2_RC ifapi_json_TPMI_POLICYTYPE_deserialize_txt | ( | json_object * | jso,
|  | TPMI_POLICYTYPE * | out )

Deserialize a json object of type TPMI_POLICYTYPE.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_RH_HIERARCHY_deserialize()

TSS2_RC ifapi_json_TPMI_RH_HIERARCHY_deserialize | ( | json_object * | jso,
|  | TPMI_RH_HIERARCHY * | out )

Deserialize a TPMI_RH_HIERARCHY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_RH_NV_INDEX_deserialize()

TSS2_RC ifapi_json_TPMI_RH_NV_INDEX_deserialize | ( | json_object * | jso,
|  | TPMI_RH_NV_INDEX * | out )

Deserialize a TPMI_RH_NV_INDEX json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPMI_RSA_KEY_BITS_deserialize()

TSS2_RC ifapi_json_TPMI_RSA_KEY_BITS_deserialize | ( | json_object * | jso,
|  | TPMI_RSA_KEY_BITS * | out )

Deserialize a TPMI_RSA_KEY_BITS json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPMI_ST_ATTEST_deserialize()

TSS2_RC ifapi_json_TPMI_ST_ATTEST_deserialize | ( | json_object * | jso,
|  | TPMI_ST_ATTEST * | out )

Deserialize a TPMI_ST_ATTEST json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMI_YES_NO_deserialize()

TSS2_RC ifapi_json_TPMI_YES_NO_deserialize | ( | json_object * | jso,
|  | TPMI_YES_NO * | out )

Deserialize a TPMI_YES_NO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPML_DIGEST_VALUES_deserialize()

TSS2_RC ifapi_json_TPML_DIGEST_VALUES_deserialize | ( | json_object * | jso,
|  | TPML_DIGEST_VALUES * | out )

Deserialize a TPML_DIGEST_VALUES json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_PCR_SELECTION_deserialize()

TSS2_RC ifapi_json_TPML_PCR_SELECTION_deserialize | ( | json_object * | jso,
|  | TPML_PCR_SELECTION * | out )

Deserialize a TPML_PCR_SELECTION json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_PCRVALUES_deserialize()

TSS2_RC ifapi_json_TPML_PCRVALUES_deserialize | ( | json_object * | jso,
|  | TPML_PCRVALUES ** | out )

Deserialize a TPML_PCRVALUES json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPML_POLICYAUTHORIZATIONS_deserialize()

TSS2_RC ifapi_json_TPML_POLICYAUTHORIZATIONS_deserialize | ( | json_object * | jso,
|  | TPML_POLICYAUTHORIZATIONS ** | out )

Deserialize a TPML_POLICYAUTHORIZATIONS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPML_POLICYBRANCHES_deserialize()

TSS2_RC ifapi_json_TPML_POLICYBRANCHES_deserialize | ( | json_object * | jso,
|  | TPML_POLICYBRANCHES ** | out )

Deserialize a TPML_POLICYBRANCHES json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPML_POLICYELEMENTS_deserialize()

TSS2_RC ifapi_json_TPML_POLICYELEMENTS_deserialize | ( | json_object * | jso,
|  | TPML_POLICYELEMENTS ** | out )

Deserialize a TPML_POLICYELEMENTS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMS_ATTEST_deserialize()

TSS2_RC ifapi_json_TPMS_ATTEST_deserialize | ( | json_object * | jso,
|  | TPMS_ATTEST * | out )

Deserialize a TPMS_ATTEST json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CERTIFY_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_CERTIFY_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_CERTIFY_INFO * | out )

Deserialize a TPMS_CERTIFY_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CLOCK_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_CLOCK_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_CLOCK_INFO * | out )

Deserialize a TPMS_CLOCK_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_COMMAND_AUDIT_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_COMMAND_AUDIT_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_COMMAND_AUDIT_INFO * | out )

Deserialize a TPMS_COMMAND_AUDIT_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CREATION_DATA_deserialize()

TSS2_RC ifapi_json_TPMS_CREATION_DATA_deserialize | ( | json_object * | jso,
|  | TPMS_CREATION_DATA * | out )

Deserialize a TPMS_CREATION_DATA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CREATION_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_CREATION_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_CREATION_INFO * | out )

Deserialize a TPMS_CREATION_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ECC_PARMS_deserialize()

TSS2_RC ifapi_json_TPMS_ECC_PARMS_deserialize | ( | json_object * | jso,
|  | TPMS_ECC_PARMS * | out )

Deserialize a TPMS_ECC_PARMS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ECC_POINT_deserialize()

TSS2_RC ifapi_json_TPMS_ECC_POINT_deserialize | ( | json_object * | jso,
|  | TPMS_ECC_POINT * | out )

Deserialize a TPMS_ECC_POINT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_EMPTY_deserialize()

TSS2_RC ifapi_json_TPMS_EMPTY_deserialize | ( | json_object * | jso,
|  | TPMS_EMPTY * | out )

Deserialize a TPMS_EMPTY .

Parameters

  [out] | out | not used.
  [in] | jso | not used.

## ifapi_json_TPMS_ENC_SCHEME_OAEP_deserialize()

TSS2_RC ifapi_json_TPMS_ENC_SCHEME_OAEP_deserialize | ( | json_object * | jso,
|  | TPMS_ENC_SCHEME_OAEP * | out )

Deserialize a TPMS_ENC_SCHEME_OAEP json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ENC_SCHEME_RSAES_deserialize()

TSS2_RC ifapi_json_TPMS_ENC_SCHEME_RSAES_deserialize | ( | json_object * | jso,
|  | TPMS_ENC_SCHEME_RSAES * | out )

Deserialize a TPMS_ENC_SCHEME_RSAES json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMS_KEY_SCHEME_ECDH_deserialize()

TSS2_RC ifapi_json_TPMS_KEY_SCHEME_ECDH_deserialize | ( | json_object * | jso,
|  | TPMS_KEY_SCHEME_ECDH * | out )

Deserialize a TPMS_KEY_SCHEME_ECDH json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_KEYEDHASH_PARMS_deserialize()

TSS2_RC ifapi_json_TPMS_KEYEDHASH_PARMS_deserialize | ( | json_object * | jso,
|  | TPMS_KEYEDHASH_PARMS * | out )

Deserialize a TPMS_KEYEDHASH_PARMS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_NV_CERTIFY_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_NV_CERTIFY_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_NV_CERTIFY_INFO * | out )

Deserialize a TPMS_NV_CERTIFY_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_NV_PUBLIC_deserialize()

TSS2_RC ifapi_json_TPMS_NV_PUBLIC_deserialize | ( | json_object * | jso,
|  | TPMS_NV_PUBLIC * | out )

Deserialize a TPMS_NV_PUBLIC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_PCR_SELECT_deserialize()

TSS2_RC ifapi_json_TPMS_PCR_SELECT_deserialize | ( | json_object * | jso,
|  | TPMS_PCR_SELECT * | out )

Deserialize a TPMS_PCR_SELECT variable.

Parameters

  [in] | jso | json object to be deserialized.
  [out] | out | the deserialized object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPMS_PCR_SELECTION_deserialize()

TSS2_RC ifapi_json_TPMS_PCR_SELECTION_deserialize | ( | json_object * | jso,
|  | TPMS_PCR_SELECTION * | out )

Deserialize a TPMS_PCR_SELECTION variable.

Parameters

  [in] | jso | json object to be deserialized.
  [out] | out | the deserialized object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_TPMS_PCRVALUE_deserialize()

TSS2_RC ifapi_json_TPMS_PCRVALUE_deserialize | ( | json_object * | jso,
|  | TPMS_PCRVALUE * | out )

Deserialize a TPMS_PCRVALUE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICY_deserialize()

TSS2_RC ifapi_json_TPMS_POLICY_deserialize | ( | json_object * | jso,
|  | TPMS_POLICY * | out )

Deserialize a TPMS_POLICY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMS_POLICYACTION_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYACTION_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYACTION * | out )

Deserialize a TPMS_POLICYACTION json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMS_POLICYAUTHORIZATION_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHORIZATION_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYAUTHORIZATION * | out )

Deserialize a TPMS_POLICYAUTHORIZATION json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMS_POLICYAUTHORIZE_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHORIZE_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYAUTHORIZE * | out )

Deserialize a TPMS_POLICYAUTHORIZE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYAUTHORIZENV_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHORIZENV_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYAUTHORIZENV * | out )

Deserialize a TPMS_POLICYAUTHORIZENV json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYAUTHVALUE_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHVALUE_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYAUTHVALUE * | out )

Deserialize a TPMS_POLICYAUTHVALUE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMS_POLICYBRANCH_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYBRANCH_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYBRANCH * | out )

Deserialize a TPMS_POLICYBRANCH json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMS_POLICYCOMMANDCODE_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYCOMMANDCODE_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYCOMMANDCODE * | out )

Deserialize a TPMS_POLICYCOMMANDCODE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYCOUNTERTIMER_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYCOUNTERTIMER_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYCOUNTERTIMER * | out )

Deserialize a TPMS_POLICYCOUNTERTIMER json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYCPHASH_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYCPHASH_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYCPHASH * | out )

Deserialize a TPMS_POLICYCPHASH json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYDUPLICATIONSELECT_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYDUPLICATIONSELECT_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYDUPLICATIONSELECT * | out )

Deserialize a TPMS_POLICYDUPLICATIONSELECT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYLOCALITY_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYLOCALITY_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYLOCALITY * | out )

Deserialize a TPMS_POLICYLOCALITY json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYNAMEHASH_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYNAMEHASH_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYNAMEHASH * | out )

Deserialize a TPMS_POLICYNAMEHASH json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYNV_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYNV_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYNV * | out )

Deserialize a TPMS_POLICYNV json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYNVWRITTEN_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYNVWRITTEN_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYNVWRITTEN * | out )

Deserialize a TPMS_POLICYNVWRITTEN json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYOR_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYOR_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYOR * | out )

Deserialize a TPMS_POLICYOR json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMS_POLICYPASSWORD_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYPASSWORD_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYPASSWORD * | out )

Deserialize a TPMS_POLICYPASSWORD json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMS_POLICYPCR_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYPCR_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYPCR * | out )

Deserialize a TPMS_POLICYPCR json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYPHYSICALPRESENCE_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYPHYSICALPRESENCE_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYPHYSICALPRESENCE * | out )

Deserialize a TPMS_POLICYPHYSICALPRESENCE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMS_POLICYSECRET_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYSECRET_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYSECRET * | out )

Deserialize a TPMS_POLICYSECRET json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYSIGNED_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYSIGNED_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYSIGNED * | out )

Deserialize a TPMS_POLICYSIGNED json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_POLICYTEMPLATE_deserialize()

TSS2_RC ifapi_json_TPMS_POLICYTEMPLATE_deserialize | ( | json_object * | jso,
|  | TPMS_POLICYTEMPLATE * | out )

Deserialize a TPMS_POLICYTEMPLATE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

< counter for conditional fields

## ifapi_json_TPMS_QUOTE_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_QUOTE_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_QUOTE_INFO * | out )

Deserialize a TPMS_QUOTE_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_RSA_PARMS_deserialize()

TSS2_RC ifapi_json_TPMS_RSA_PARMS_deserialize | ( | json_object * | jso,
|  | TPMS_RSA_PARMS * | out )

Deserialize a TPMS_RSA_PARMS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_ECDAA_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_ECDAA_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_ECDAA * | out )

Deserialize a TPMS_SCHEME_ECDAA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_HASH_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_HASH_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_HASH * | out )

Deserialize a TPMS_SCHEME_HASH json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_HMAC_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_HMAC_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_HMAC * | out )

Deserialize a TPMS_SCHEME_HMAC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_KDF1_SP800_108_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_KDF1_SP800_108_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_KDF1_SP800_108 * | out )

Deserialize a TPMS_SCHEME_KDF1_SP800_108 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_KDF1_SP800_56A_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_KDF1_SP800_56A_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_KDF1_SP800_56A * | out )

Deserialize a TPMS_SCHEME_KDF1_SP800_56A json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_MGF1_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_MGF1_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_MGF1 * | out )

Deserialize a TPMS_SCHEME_MGF1 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_XOR_deserialize()

TSS2_RC ifapi_json_TPMS_SCHEME_XOR_deserialize | ( | json_object * | jso,
|  | TPMS_SCHEME_XOR * | out )

Deserialize a TPMS_SCHEME_XOR json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SESSION_AUDIT_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_SESSION_AUDIT_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_SESSION_AUDIT_INFO * | out )

Deserialize a TPMS_SESSION_AUDIT_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_ECDAA_deserialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_ECDAA_deserialize | ( | json_object * | jso,
|  | TPMS_SIG_SCHEME_ECDAA * | out )

Deserialize a TPMS_SIG_SCHEME_ECDAA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_ECDSA_deserialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_ECDSA_deserialize | ( | json_object * | jso,
|  | TPMS_SIG_SCHEME_ECDSA * | out )

Deserialize a TPMS_SIG_SCHEME_ECDSA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_ECSCHNORR_deserialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_ECSCHNORR_deserialize | ( | json_object * | jso,
|  | TPMS_SIG_SCHEME_ECSCHNORR * | out )

Deserialize a TPMS_SIG_SCHEME_ECSCHNORR json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_RSAPSS_deserialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_RSAPSS_deserialize | ( | json_object * | jso,
|  | TPMS_SIG_SCHEME_RSAPSS * | out )

Deserialize a TPMS_SIG_SCHEME_RSAPSS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_RSASSA_deserialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_RSASSA_deserialize | ( | json_object * | jso,
|  | TPMS_SIG_SCHEME_RSASSA * | out )

Deserialize a TPMS_SIG_SCHEME_RSASSA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_SM2_deserialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_SM2_deserialize | ( | json_object * | jso,
|  | TPMS_SIG_SCHEME_SM2 * | out )

Deserialize a TPMS_SIG_SCHEME_SM2 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECC_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECC_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_ECC * | out )

Deserialize a TPMS_SIGNATURE_ECC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECDAA_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECDAA_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_ECDAA * | out )

Deserialize a TPMS_SIGNATURE_ECDAA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECDSA_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECDSA_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_ECDSA * | out )

Deserialize a TPMS_SIGNATURE_ECDSA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECSCHNORR_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECSCHNORR_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_ECSCHNORR * | out )

Deserialize a TPMS_SIGNATURE_ECSCHNORR json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_RSA_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_RSA_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_RSA * | out )

Deserialize a TPMS_SIGNATURE_RSA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_RSAPSS_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_RSAPSS_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_RSAPSS * | out )

Deserialize a TPMS_SIGNATURE_RSAPSS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_RSASSA_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_RSASSA_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_RSASSA * | out )

Deserialize a TPMS_SIGNATURE_RSASSA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_SM2_deserialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_SM2_deserialize | ( | json_object * | jso,
|  | TPMS_SIGNATURE_SM2 * | out )

Deserialize a TPMS_SIGNATURE_SM2 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SYMCIPHER_PARMS_deserialize()

TSS2_RC ifapi_json_TPMS_SYMCIPHER_PARMS_deserialize | ( | json_object * | jso,
|  | TPMS_SYMCIPHER_PARMS * | out )

Deserialize a TPMS_SYMCIPHER_PARMS json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_TIME_ATTEST_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_TIME_ATTEST_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_TIME_ATTEST_INFO * | out )

Deserialize a TPMS_TIME_ATTEST_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_TIME_INFO_deserialize()

TSS2_RC ifapi_json_TPMS_TIME_INFO_deserialize | ( | json_object * | jso,
|  | TPMS_TIME_INFO * | out )

Deserialize a TPMS_TIME_INFO json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_ECC_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMT_ECC_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMT_ECC_SCHEME * | out )

Deserialize a TPMT_ECC_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_HA_deserialize()

TSS2_RC ifapi_json_TPMT_HA_deserialize | ( | json_object * | jso,
|  | TPMT_HA * | out )

Deserialize a TPMT_HA json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_KDF_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMT_KDF_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMT_KDF_SCHEME * | out )

Deserialize a TPMT_KDF_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_KEYEDHASH_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMT_KEYEDHASH_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMT_KEYEDHASH_SCHEME * | out )

Deserialize a TPMT_KEYEDHASH_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_POLICYELEMENT_deserialize()

TSS2_RC ifapi_json_TPMT_POLICYELEMENT_deserialize | ( | json_object * | jso,
|  | TPMT_POLICYELEMENT * | out )

Deserialize a TPMT_POLICYELEMENT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMT_PUBLIC_deserialize()

TSS2_RC ifapi_json_TPMT_PUBLIC_deserialize | ( | json_object * | jso,
|  | TPMT_PUBLIC * | out )

Deserialize a TPMT_PUBLIC json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_RSA_DECRYPT_deserialize()

TSS2_RC ifapi_json_TPMT_RSA_DECRYPT_deserialize | ( | json_object * | jso,
|  | TPMT_RSA_DECRYPT * | out )

Deserialize a TPMT_RSA_DECRYPT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_RSA_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMT_RSA_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMT_RSA_SCHEME * | out )

Deserialize a TPMT_RSA_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SIG_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMT_SIG_SCHEME_deserialize | ( | json_object * | jso,
|  | TPMT_SIG_SCHEME * | out )

Deserialize a TPMT_SIG_SCHEME json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SIGNATURE_deserialize()

TSS2_RC ifapi_json_TPMT_SIGNATURE_deserialize | ( | json_object * | jso,
|  | TPMT_SIGNATURE * | out )

Deserialize a TPMT_SIGNATURE json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SYM_DEF_deserialize()

TSS2_RC ifapi_json_TPMT_SYM_DEF_deserialize | ( | json_object * | jso,
|  | TPMT_SYM_DEF * | out )

Deserialize a TPMT_SYM_DEF json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SYM_DEF_OBJECT_deserialize()

TSS2_RC ifapi_json_TPMT_SYM_DEF_OBJECT_deserialize | ( | json_object * | jso,
|  | TPMT_SYM_DEF_OBJECT * | out )

Deserialize a TPMT_SYM_DEF_OBJECT json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_TK_CREATION_deserialize()

TSS2_RC ifapi_json_TPMT_TK_CREATION_deserialize | ( | json_object * | jso,
|  | TPMT_TK_CREATION * | out )

Deserialize a TPMT_TK_CREATION json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_ASYM_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMU_ASYM_SCHEME_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_ASYM_SCHEME * | out )

Deserialize a TPMU_ASYM_SCHEME json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | jso | the json object to be deserialized.
  [in] | selector | The type the scheme.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_ATTEST_deserialize()

TSS2_RC ifapi_json_TPMU_ATTEST_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_ATTEST * | out )

Deserialize a TPMU_ATTEST json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the attest.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_HA_deserialize()

TSS2_RC ifapi_json_TPMU_HA_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_HA * | out )

Deserialize a TPMU_HA json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type of the HA object.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_KDF_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMU_KDF_SCHEME_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_KDF_SCHEME * | out )

Deserialize a TPMU_KDF_SCHEME json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the KDF scheme.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_POLICYELEMENT_deserialize()

TSS2_RC ifapi_json_TPMU_POLICYELEMENT_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_POLICYELEMENT * | out )

Deserialize a TPMU_POLICYELEMENT json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the policy element.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMU_PUBLIC_ID_deserialize()

TSS2_RC ifapi_json_TPMU_PUBLIC_ID_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_PUBLIC_ID * | out )

Deserialize a TPMU_PUBLIC_ID json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the public ID.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_PUBLIC_PARMS_deserialize()

TSS2_RC ifapi_json_TPMU_PUBLIC_PARMS_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_PUBLIC_PARMS * | out )

Deserialize a TPMU_PUBLIC_PARMS json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the public params.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SCHEME_KEYEDHASH_deserialize()

TSS2_RC ifapi_json_TPMU_SCHEME_KEYEDHASH_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_SCHEME_KEYEDHASH * | out )

Deserialize a TPMU_SCHEME_KEYEDHASH json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the keyedhash scheme.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SIG_SCHEME_deserialize()

TSS2_RC ifapi_json_TPMU_SIG_SCHEME_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_SIG_SCHEME * | out )

Deserialize a TPMU_SIG_SCHEME json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the signature scheme.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SIGNATURE_deserialize()

TSS2_RC ifapi_json_TPMU_SIGNATURE_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_SIGNATURE * | out )

Deserialize a TPMU_SIGNATURE json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the signature.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SYM_KEY_BITS_deserialize()

TSS2_RC ifapi_json_TPMU_SYM_KEY_BITS_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_SYM_KEY_BITS * | out )

Deserialize a TPMU_SYM_KEY_BITS json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the symmetric algorithm.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_TPMU_SYM_MODE_deserialize()

TSS2_RC ifapi_json_TPMU_SYM_MODE_deserialize | ( | UINT32 | selector,
|  | json_object * | jso,
|  | TPMU_SYM_MODE * | out )

Deserialize a TPMU_SYM_MODE json object.

This functions expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | selector | The type the symmetric algorithm.
  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_UINT16_deserialize()

TSS2_RC ifapi_json_UINT16_deserialize | ( | json_object * | jso,
|  | UINT16 * | out )

Deserialize a UINT16 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_UINT32_deserialize()

TSS2_RC ifapi_json_UINT32_deserialize | ( | json_object * | jso,
|  | UINT32 * | out )

Deserialize a UINT32 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_UINT64_deserialize()

TSS2_RC ifapi_json_UINT64_deserialize | ( | json_object * | jso,
|  | UINT64 * | out )

Deserialize a UINT64 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.

## ifapi_json_UINT8_ARY_deserialize()

TSS2_RC ifapi_json_UINT8_ARY_deserialize | ( | json_object * | jso,
|  | UINT8_ARY * | out )

Deserialize an array of UINT8.

Parameters

  [in] | jso | object to be deserialized.
  [out] | out | the deserialized object.

Return values

  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## ifapi_json_UINT8_deserialize()

TSS2_RC ifapi_json_UINT8_deserialize | ( | json_object * | jso,
|  | UINT8 * | out )

Deserialize a UINT8 json object.

Parameters

  [in] | jso | the json object to be deserialized.
  [out] | out | the deserialzed binary object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_VALUE | if the json object can't be deserialized.